## CORBA Interface IResultPackageHTMLEntry

Describes the available result package HTML set entry component actions.

### Definition

CORBA Module SAS

### IResultPackageHTMLEntry Description

This component facilitates result package HTML set entry manipulation. You may obtain attributes associated with the HTML set entry, retrieve files associated with the HTML set entry, or create files associated with the HTML set entry.

CORBA Definitions
attribute ResultPackage | The parent of this component.
attribute Index | Index of HTML set entry within containing result package.
attribute Description | HTML set entry description.
attribute NameValues | HTML set entry name/value pairs.
method GetNameValuePairs | HTML set entry parsed name/value pairs.
attribute FrameIncluded | True when HTML set contains a frame stream.
attribute FrameEncoding | The HTML set frame stream encoding.
attribute FrameURL | The HTML set frame stream URL.
method OpenFrame | Open the HTML set frame stream.
attribute ContentsIncluded | True when HTML set contains a contents stream.
attribute ContentsEncoding | The HTML set contents stream encoding.
attribute ContentsURL | The HTML set contents stream URL.
method OpenContents | Open the HTML set contents stream.
attribute PageIncluded | True when HTML set contains a page stream.
attribute PageEncoding | The HTML set page stream encoding.
attribute PageURL | The HTML set page stream URL.
method OpenPage | Open the HTML set page stream.
method ListBodyItems | List the body items contained in this HTML entry instance.
method OpenBodyItem | Open the body item identified by the index given.
method AddCompanions | Adds companion items to the HTML entry.
method ListCompanions | List the companion items contained in this HTML entry instance.
method OpenCompanion |

Java Classes
IResultPackageHTMLEntryHelper | Used to manipulate the IResultPackageHTMLEntry type
IResultPackageHTMLEntryHolder | Used to process the IResultPackageHTMLEntry type as an out parameter

Java Interfaces
IResultPackageHTMLEntry | Describes the available result package HTML set entry component actions.

### IResultPackageHTMLEntry_1_1 Description

CORBA Definitions
attribute ResultPackage | The parent of this component.
attribute Index | Index of HTML set entry within containing result package.
attribute Description | HTML set entry description.
attribute NameValues | HTML set entry name/value pairs.
method GetNameValuePairs | HTML set entry parsed name/value pairs.
attribute FrameIncluded | True when HTML set contains a frame stream.
attribute FrameEncoding | The HTML set frame stream encoding.
attribute FrameURL | The HTML set frame stream URL.
method OpenFrame | Open the HTML set frame stream.
attribute ContentsIncluded | True when HTML set contains a contents stream.
attribute ContentsEncoding | The HTML set contents stream encoding.
attribute ContentsURL | The HTML set contents stream URL.
method OpenContents | Open the HTML set contents stream.
attribute PageIncluded | True when HTML set contains a page stream.
attribute PageEncoding | The HTML set page stream encoding.
attribute PageURL | The HTML set page stream URL.
method OpenPage | Open the HTML set page stream.
method ListBodyItems | List the body items contained in this HTML entry instance.
method OpenBodyItem | Open the body item identified by the index given.
method AddCompanions | Adds companion items to the HTML entry.
method ListCompanions | List the companion items contained in this HTML entry instance.
method OpenCompanion |
method AddCompanions_2 | Adds companion items to the HTML entry.
method ListCompanions_2 | List the companion items contained in this HTML entry instance.

Java Classes
IResultPackageHTMLEntry_1_1Helper | Used to manipulate the IResultPackageHTMLEntry_1_1 type
IResultPackageHTMLEntry_1_1Holder | Used to process the IResultPackageHTMLEntry_1_1 type as an out parameter

Java Interfaces
IResultPackageHTMLEntry_1_1 | Describes the available result package HTML set entry component actions.

Java Interface IResultPackageHTMLEntry

Describes the available result package HTML set entry component actions.

Package com.sas.iom.SAS

IResultPackageHTMLEntry Description
This component facilitates result package HTML set entry manipulation. You may obtain attributes associated with the HTML set entry, retrieve files associated with the HTML set entry, or create files associated with the HTML set entry.

`public interface IResultPackageHTMLEntry
extends org.omg.CORBA.Object`

Method Summary

void | GetNameValuePairs ( VariableArray2dOfStringHolder nvParis ) throws ( GenericError ); HTML set entry parsed name/value pairs.
IBinaryStream | OpenFrame ( StreamOpenMode mode , java.lang.String callerEncoding ) throws ( GenericError ); Open the HTML set frame stream.
IBinaryStream | OpenContents ( StreamOpenMode mode , java.lang.String callerEncoding ) throws ( GenericError ); Open the HTML set contents stream.
IBinaryStream | OpenPage ( StreamOpenMode mode , java.lang.String callerEncoding ) throws ( GenericError ); Open the HTML set page stream.
void | ListBodyItems ( StringSeqHolder url , StringSeqHolder encoding ) throws ( GenericError ); List the body items contained in this HTML entry instance.
IBinaryStream | OpenBodyItem ( int index , StreamOpenMode mode , java.lang.String callerEncoding ) throws ( GenericError ); Open the body item identified by the index given.
void | AddCompanions ( FileSpecType[] type , java.lang.String[] name , java.lang.String[] url ) throws ( GenericError ); Adds companion items to the HTML entry.
void | ListCompanions ( StringSeqHolder url , StringSeqHolder encoding ) throws ( GenericError ); List the companion items contained in this HTML entry instance.
IBinaryStream | OpenCompanion ( int index , StreamOpenMode mode , java.lang.String callerEncoding ) throws ( GenericError );

Java Class IResultPackageHTMLEntryHelper

public class IResultPackageHTMLEntryHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IResultPackageHTMLEntry type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageHTMLEntryHelper

Java Class IResultPackageHTMLEntryHolder

public class IResultPackageHTMLEntryHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IResultPackageHTMLEntry type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageHTMLEntryHolder

CORBA Attribute ResultPackage (readonly)

The parent of this component.

Description
Use this attribute to navigate back to the ResultPackage component which is the parent of this component.

Usage

Java Method ResultPackage

    public IResultPackage ResultPackage ();

CORBA Attribute Index (readonly)

Index of HTML set entry within containing result package.

Description
Identifies which result package entry corresponds to this component.

Usage

Java Method Index

    public int Index ();

CORBA Attribute Description (readonly)

HTML set entry description.

Description
Use this attribute to obtain the description associated with this HTML set entry. The description is assigned when the HTML set entry is created.

Usage

Java Method Description

    public java.lang.String Description ();

CORBA Attribute NameValues (readonly)

HTML set entry name/value pairs.

Description
Use this attribute to obtain the name/value pairs associated with this HTML set entry. The name/value pairs are assigned when the HTML set entry is created.

Usage

Java Method NameValues

    public java.lang.String NameValues ();

CORBA Method GetNameValuePairs

HTML set entry parsed name/value pairs.

Description
Call this method to return a two dimensional string array containing the parsed name/value pairs.

Usage

Java Method GetNameValuePairs

`void` GetNameValuePairs (

        VariableArray2dOfStringHolder nvParis
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
nvParis | out | VariableArray2dOfStringHolder | A two dimensional string array containing the parsed name/value pairs. The two dimensional string array is populated in the following manner:
       For the NameValues: "name1 name2=a name3=(b,c)"
       GetNameValuePairs would return:
                     Column 0   Column 1
            Row 0    "name1"
            Row 1    "name2"    "a"
            Row 2    "name3"    "b"
            Row 3               "c"

Example

CORBA Attribute FrameIncluded (readonly)

True when HTML set contains a frame stream.

Description
Use this attribute to determine if the HTML set entry has a frame stream.

Usage

Java Method FrameIncluded

    public boolean FrameIncluded ();

CORBA Attribute FrameEncoding (readonly)

The HTML set frame stream encoding.

Description
Use this attribute to obtain the encoding of the data as it exists in the frame stream, before reading or writing.

Usage
Recoding should only be used for text data that is being transferred with the binary stream. It is specifically provided to transfer HTML where a "meta charset" tag is used.

Java Method FrameEncoding

    public java.lang.String FrameEncoding ();

CORBA Attribute FrameURL (readonly)

The HTML set frame stream URL.

Description
Use this attribute to obtain the frame stream URL assigned when the HTML set was created.

Usage

Java Method FrameURL

    public java.lang.String FrameURL ();

CORBA Method OpenFrame

Open the HTML set frame stream.

Description
Call this method to open the stream associated with this HTML set frame stream. Data in the frame stream can be recoded based on the values specified in FrameEncoding and callerEncoding.

Usage

Java Method OpenFrame

`public IBinaryStream` OpenFrame (

        StreamOpenMode mode ,
        java.lang.String callerEncoding
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
mode | in | StreamOpenMode | Specifies whether the stream will allow reading, writing, or update. If the containing ResultPackage is read-only (see BrowseResultPackage or BrowseOnly), the OpenFrame::mode must be StreamOpenModeForReading.
callerEncoding | in | java.lang.String | Encoding of the data desired by the caller in a read, or supplied by the caller in a write.

Example

CORBA Attribute ContentsIncluded (readonly)

True when HTML set contains a contents stream.

Description
Use this attribute to determine if the HTML set entry has a contents stream.

Usage

Java Method ContentsIncluded

    public boolean ContentsIncluded ();

CORBA Attribute ContentsEncoding (readonly)

The HTML set contents stream encoding.

Description
Use this attribute to obtain the encoding of the data as it exists in the contents stream, before reading or writing.

Usage
Recoding should only be used for text data that is being transferred with the binary stream. It is specifically provided to transfer HTML where a "meta charset" tag is used.

Java Method ContentsEncoding

    public java.lang.String ContentsEncoding ();

CORBA Attribute ContentsURL (readonly)

The HTML set contents stream URL.

Description
Use this attribute to obtain the contents stream URL assigned when the HTML set was created.

Usage

Java Method ContentsURL

    public java.lang.String ContentsURL ();

CORBA Method OpenContents

Open the HTML set contents stream.

Description
Call this method to open the stream associated with this HTML set contents stream. Data in the contents stream can be recoded based on the values specified in ContentsEncoding and callerEncoding.

Usage

Java Method OpenContents

`public IBinaryStream` OpenContents (

        StreamOpenMode mode ,
        java.lang.String callerEncoding
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
mode | in | StreamOpenMode | Specifies whether the stream will allow reading, writing, or update. If the containing ResultPackage is read-only (see BrowseResultPackage or BrowseOnly), the OpenContents::mode must be StreamOpenModeForReading.
callerEncoding | in | java.lang.String | Encoding of the data desired by the caller in a read, or supplied by the caller in a write.

Example

CORBA Attribute PageIncluded (readonly)

True when HTML set contains a page stream.

Description
Use this attribute to determine if the HTML set entry has a page stream.

Usage

Java Method PageIncluded

    public boolean PageIncluded ();

CORBA Attribute PageEncoding (readonly)

The HTML set page stream encoding.

Description
Use this attribute to obtain the encoding of the data as it exists in the page stream, before reading or writing.

Usage
Recoding should only be used for text data that is being transferred with the binary stream. It is specifically provided to transfer HTML where a "meta charset" tag is used.

Java Method PageEncoding

    public java.lang.String PageEncoding ();

CORBA Attribute PageURL (readonly)

The HTML set page stream URL.

Description
Use this attribute to obtain the page stream URL assigned when the HTML set was created.

Usage

Java Method PageURL

    public java.lang.String PageURL ();

CORBA Method OpenPage

Open the HTML set page stream.

Description
Call this method to open the stream associated with this HTML set page stream. Data in the page stream can be recoded based on the values specified in PageEncoding and callerEncoding.

Usage

Java Method OpenPage

`public IBinaryStream` OpenPage (

        StreamOpenMode mode ,
        java.lang.String callerEncoding
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
mode | in | StreamOpenMode | Specifies whether the stream will allow reading, writing, or update. If the containing ResultPackage is read-only (see BrowseResultPackage or BrowseOnly), the OpenPage::mode must be StreamOpenModeForReading.
callerEncoding | in | java.lang.String | Encoding of the data desired by the caller in a read, or supplied by the caller in a write.

Example

CORBA Method ListBodyItems

List the body items contained in this HTML entry instance.

Description
Call this method to obtain each HTML body item url and its encoding.

Usage

Java Method ListBodyItems

`void` ListBodyItems (

        StringSeqHolder url ,
        StringSeqHolder encoding
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
url | out | StringSeqHolder | The URL assigned to the body item when the body was created.
encoding | out | StringSeqHolder | The encoding of the data as it exists in the body stream, before reading or writing.

Example

CORBA Method OpenBodyItem

Open the body item identified by the index given.

Description
Call this method to open the stream associated with this body stream. Data in the body stream can be recoded based on the values specified in callerEncoding.

Usage

Java Method OpenBodyItem

`public IBinaryStream` OpenBodyItem (

        int index ,
        StreamOpenMode mode ,
        java.lang.String callerEncoding
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int | The index of the body item in which to obtain a stream.
mode | in | StreamOpenMode | Specifies whether the stream will allow reading, writing, or update. If the containing ResultPackage is read-only (see BrowseResultPackage or BrowseOnly), the OpenBodyItem::mode must be StreamOpenModeForReading.
callerEncoding | in | java.lang.String | Encoding of the data desired by the caller in a read, or supplied by the caller in a write.

Example

CORBA Method AddCompanions

Adds companion items to the HTML entry.

Description
Call this method to add companion items to this HTML entry. The containing ResultPackage can not be read-only (see BrowseResultPackage or BrowseOnly).

Usage

Java Method AddCompanions

`void` AddCompanions (

        FileSpecType[] type ,
        java.lang.String[] name ,
        java.lang.String[] url
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
type | in | FileSpecType[] | A one dimensional array containing FileSpecType constants identifying the type of companion stream filenames specified.
name | in | java.lang.String[] | A one dimensional array containing the name of the companion streams in which to add to our HTML entry.
url | in | java.lang.String[] | A one dimensional array containing the URL of the companion streams in which to add to our HTML entry.

Example

CORBA Method ListCompanions

List the companion items contained in this HTML entry instance.

Description
Call this method to obtain each HTML companion item URL and its encoding.

Usage

Java Method ListCompanions

`void` ListCompanions (

        StringSeqHolder url ,
        StringSeqHolder encoding
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
url | out | StringSeqHolder | The URL assigned to the companion item when the companion was placed in this HTML entry.
encoding | out | StringSeqHolder | The encoding of the data as it exists in the companion stream, before reading or writing.

Example

CORBA Method OpenCompanion

Description
Open the companion item identified by the index given.

Usage
Call this method to open the stream associated with the companion item. Data in the companion stream can be recoded based on the value specified in callerEncoding.

Java Method OpenCompanion

`public IBinaryStream` OpenCompanion (

        int index ,
        StreamOpenMode mode ,
        java.lang.String callerEncoding
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int | The index of the companion item in which to obtain a stream.
mode | in | StreamOpenMode | Specifies whether the stream will allow reading, writing, or update. If the containing ResultPackage is read-only (see BrowseResultPackage or BrowseOnly), the OpenCompanion::mode must be StreamOpenModeForReading.
callerEncoding | in | java.lang.String | Encoding of the data desired by the caller in a read, or supplied by the caller in a write.

Example

IResultPackageHTMLEntry_1_1 Description

`public interface IResultPackageHTMLEntry_1_1
Extends IResultPackageHTMLEntry`

Method Summary

void | AddCompanions_2 ( FileSpecType[] type , java.lang.String[] name , java.lang.String[] url , java.lang.String[] MIMEType ) throws ( GenericError ); Adds companion items to the HTML entry.
void | ListCompanions_2 ( StringSeqHolder url , StringSeqHolder encoding , StringSeqHolder MIMEType ) throws ( GenericError ); List the companion items contained in this HTML entry instance.

Java Class IResultPackageHTMLEntry_1_1Helper

public class IResultPackageHTMLEntry_1_1Helper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IResultPackageHTMLEntry_1_1 type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageHTMLEntry_1_1Helper

Java Class IResultPackageHTMLEntry_1_1Holder

public class IResultPackageHTMLEntry_1_1Holder

Description
Implementing class for methods (_read, _write, _type) used to process the IResultPackageHTMLEntry_1_1 type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageHTMLEntry_1_1Holder

CORBA Method AddCompanions_2

Adds companion items to the HTML entry.

Description

Usage

Java Method AddCompanions_2

`void` AddCompanions_2 (

        FileSpecType[] type ,
        java.lang.String[] name ,
        java.lang.String[] url ,
        java.lang.String[] MIMEType
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
type | in | FileSpecType[] |
name | in | java.lang.String[] |
url | in | java.lang.String[] |
MIMEType | in | java.lang.String[] |

Example

CORBA Method ListCompanions_2

List the companion items contained in this HTML entry instance.

Description

Usage

Java Method ListCompanions_2

`void` ListCompanions_2 (

        StringSeqHolder url ,
        StringSeqHolder encoding ,
        StringSeqHolder MIMEType
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
url | out | StringSeqHolder |
encoding | out | StringSeqHolder |
MIMEType | out | StringSeqHolder |

Example